/*
 * Copyright (c) 2004, Adam VanderHook <acidos@users.sf.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice unmodified, this list of conditions, and the following
 *    disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package net.bj.pfpro.gui.swing.toolbar;

import java.awt.event.ActionListener;

/**
 * A toolbar for interfacing with a RuleTable.
 * 
 * @author acidos
 * @version $Id: RuleToolBar.java,v 1.3.4.1 2004/09/13 23:28:39 acidos Exp $
 */
public class RuleToolBar extends PfToolBar {

	/**
	 * Creates a toolbar for use inside of an <code>InternalFrame</code>
	 * 
	 * @param parent	The <code>InternalFrame</code> that will contain the toolbar.
	 * @see net.bj.pfpro.gui.swing.InternalFrame
	 */
	public RuleToolBar(ActionListener parent) {
		super(parent);
				
		add(getButton("AlignTop", "add-top", "Add a rule at the top", "Add to Top"));
		add(getButton("RowInsertBefore", "add-above", "Insert rule before the selected rule", "Insert Before"));
		add(getButton("RowInsertAfter", "add-below", "Insert rule after the selected rule", "Insert After"));
		add(getButton("AlignBottom", "add", "Add a rule at the bottom", "Add to Bottom"));
		addSeparator();
		add(getButton("RowDelete", "del", "Remove the selected rule", "Remove Rule"));
	}
	
}
